from dataclasses import dataclass

from armarx_memory.aron.data.dto.common.package_path import PackagePath

from armarx_memory.aron.data.variant import AronDict
from armarx_memory.aron.data.dto.aron_dto import AronDTOBase


@dataclass
class ObjectClass(AronDTOBase):
    packagePath: PackagePath

    @classmethod
    def fromAron(cls, d: AronDict):

        xml = d.at("simoxXmlPath")
        pp = PackagePath.fromAron(xml)

        return cls(pp)
