from armarx_memory.aron.data.variant import (AronBool, AronDouble, AronDict, AronInt, AronFloat, AronList, AronLong, AronNDArray,
                                  AronString)

class WriterInterface:

    def writeBool(self, d: AronBool):
        raise NotImplementedError()
    
    def writeInt(self, d: AronInt):
        raise NotImplementedError()
    
    def writeLong(self, d: AronLong):
        raise NotImplementedError()
    
    def writeFloat(self, d: AronFloat):
        raise NotImplementedError()
    
    def writeDouble(self, d: AronDouble):
        raise NotImplementedError()
    
    def writeString(self, d: AronString):
        raise NotImplementedError()
    
    def writeNDArray(self, d: AronNDArray):
        raise NotImplementedError()
    
    def writeList(self, d: AronList):
        raise NotImplementedError()
    
    def writeDict(self, d: AronDict):
        raise NotImplementedError()
    
    