from armarx_memory.aron.data.variant import (AronBool, AronDouble, AronDict, AronInt, AronFloat, AronList, AronLong, AronNDArray,
                                  AronString)

class ReaderInterface:

    def readBool(self, d: AronBool):
        raise NotImplementedError()
    
    def readInt(self, d: AronInt):
        raise NotImplementedError()
    
    def readLong(self, d: AronLong):
        raise NotImplementedError()
    
    def readFloat(self, d: AronFloat):
        raise NotImplementedError()
    
    def readDouble(self, d: AronDouble):
        raise NotImplementedError()
    
    def readString(self, d: AronString):
        raise NotImplementedError()
    
    def readNDArray(self, d: AronNDArray):
        raise NotImplementedError()
    
    def readList(self, d: AronList):
        raise NotImplementedError()
    
    def readDict(self, d: AronDict):
        raise NotImplementedError()
    
    