import datetime

def date_from_ts(timestamp, normalization_factor) -> str:
    dt = datetime.datetime.fromtimestamp(timestamp *normalization_factor)  # POSIX is seconds
    date_dir: str = dt.strftime('%Y-%m-%d')
    return date_dir


def seconds_from_ts(timestamp, normalization_factor) -> int:
    dt = datetime.datetime.fromtimestamp(timestamp * normalization_factor)  # POSIX is seconds
    date_seconds: int = round(dt.timestamp())
    if dt.timestamp() - date_seconds == 0.5:  # ugly hack to solve rounding differences between C++ and python
        return date_seconds + 1
    return date_seconds
